/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
  Header Styles
*/
.woocommerce-store-notice, p.demo_store {
    background-color: var( --e-global-color-secondary );
    padding-left: 20px;
    padding-right: 20px;
}
.woocommerce-store-notice a:hover, p.demo_store a:hover {
    color: #ccc;
}
/* Set default store notice height (gets tweaked more exactly in custom.js) */
.has-store-notice .elementor.elementor-location-header {
    margin-top: 56px;
}
@media only screen and (max-width:981px) {
    .has-store-notice .elementor.elementor-location-header {
        margin-top: 80px;
    }    
}
.empty-cart .elementor-social-icon-shopping-cart {
    display: none;
}

/* By default, hide "Main Site" button and Academy menu */
#nav-bar-main-menu,
.elementor-editor-active #nav-bar-main-menu {
    display: block;
}
#nav-bar-academy-menu {
    display: none;
}
#back-main-site {
    display: none;
}
/* If on Academy / Master Class pages, then show other menu and "Main Site" button iun header */
.page-id-4263 #back-main-site,
.parent-pageid-4263 #back-main-site,
.elementor-editor-active #back-main-site,
.page-id-4263 #nav-bar-academy-menu,
.parent-pageid-4263 #nav-bar-academy-menu,
.elementor-editor-active #nav-bar-academy-menu {
    display: block;
}

.page-id-4263 #nav-bar-main-menu,
.parent-pageid-4263 #nav-bar-main-menu {
    display: none;
}




/* Content Header Styles */
h1.entry-title {
    font-family: Roboto,Helvetica Neue,Arial,Noto Sans,sans-serif;
    color: var( --e-global-color-primary );
    font-weight: 500;
    font-size: 32;
}
.page.center-title h1.entry-title {
    text-align: center;
}
.fcice-header {
    margin-top: 100px;
}

/* Button / Link Styles */
a {
    color: var ( --e-global-color-21f63f1 ); /* Light Blue */
}
a:active,a:focus,a:hover{
    color: var( --e-global-color-secondary ); /* Dark Blue */
}
a.wp-block-button__link,a.wp-block-button__link:visited,
button,
[type=button],[type=submit],
.gform_wrapper .gform_footer input.button, .gform_wrapper .gform_footer input[type=submit], 
.gform_wrapper .gform_page_footer input.button, .gform_wrapper .gform_page_footer input[type=submit],
.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,
.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt {
    color:#fff !important;
    background-color: var( --e-global-color-secondary ); /* Light Blue / Purple */
    border: 0;
    padding:.5rem 1rem;
    font-size:1rem;
    border-radius:3px;
    font-weight: 500;
}
a.wp-block-button__link:active, a.wp-block-button__link:focus, a.wp-block-button__link:hover, 
button:focus, button:hover,
[type=button]:focus, [type=button]:hover,
[type=submit]:focus, [type=submit]:hover,
.gform_wrapper .gform_footer input.button:hover, .gform_wrapper .gform_footer input[type=submit]:hover, 
.gform_wrapper .gform_page_footer input.button:hover, .gform_wrapper .gform_page_footer input[type=submit]:hover,
.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,
.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover {
    color:#fff;
    background-color: var( --e-global-color-accent ); /* Teal */
    text-decoration:none;
    font-weight: 500;
}
#add_payment_method .wc-proceed-to-checkout a.checkout-button, .woocommerce-cart .wc-proceed-to-checkout a.checkout-button, .woocommerce-checkout .wc-proceed-to-checkout a.checkout-button,
.woocommerce #payment #place_order, .woocommerce-page #payment #place_order {
    font-size: 1.25em;
    padding: 1em;
    font-weight: 500;
}

/* Post / Blog */
.elementor-post__meta-data {
    margin-top: 5px;
}

/* Misc Styling */
.elementor-widget-text-editor .elementor-widget-container p strong,
.elementor-widget-text-editor .elementor-widget-container li strong {
    font-weight: 700;
}
.elementor-widget-text-editor .elementor-widget-container p:last-child {
    margin-bottom: 0;
}
hr {
    height: 1px;
    width: 50%;    
    margin: 30px auto;
}
.wp-block-quote.is-large cite, .wp-block-quote.is-large footer, .wp-block-quote.is-style-large cite, .wp-block-quote.is-style-large footer {
    font-size: 1em;
    text-align: left;
}
.single-product input[type=number], .woocommerce input[type=number], .woocommerce input[type=text] {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}

/* Home page Products Style Tweaks */
.home .elementor-widget-woocommerce-products.elementor-wc-products ul.products li.product .price del {
    font-size: 18px;
    line-height: 1;
}
.home .button.product_type_simple.add_to_cart_button {
    margin-top: 0 !important;
}
.wc-block-grid__product a.wp-block-button__link {
    text-decoration: none !important;
}
/* WooCommerce Coloring / Styling */
.woocommerce-message,
.woocommerce-info {
    border-top-color:  var( --e-global-color-secondary ); /* Purple / Blue */
}
.woocommerce-message::before,
.woocommerce-info::before {
    color: var( --e-global-color-secondary ); /* Purple / Blue */
}
.woocommerce div.product p.price, .woocommerce div.product span.price {
    color: var( --e-global-color-primary );
}

/* Move recaptcha on My Account login page */
.woocommerce-account .woocommerce-form-login .g-recaptcha {
    top: 0;
    left: 3px;
}

/* Hide breadcrumbs and category on Single Product */
.single-product .woocommerce-breadcrumb,
.single-product .product_meta {
    display: none; 
}
.woocommerce span.onsale {
    font-weight: 500;
    line-height: 1.5;
    background-color: var( --e-global-color-accent ); /* Teal */
}

.single-product input[type=number], 
.woocommerce input[type=number],
.woocommerce input[type=text] {
    line-height: 1;
    padding-top: 7px;
    padding-bottom: 7px;
}

.woocommerce-checkout #payment ul.payment_methods li.payment_method_stripe label {
    vertical-align: top;
    width: auto;
    min-width: 400px;
    max-width: 100%;    
}
li.wc_payment_method.payment_method_cod {
    display: none;
}
table.variations tbody>tr:nth-child(odd)>td, table.variations tbody>tr:nth-child(odd)>th {
    background-color: transparent;
}
.wc-block-grid__products {
    justify-content: center;
}
.wc-block-grid__products a {
    text-decoration: none;
}
.wc-block-grid__products a .wc-block-grid__product-title {
    font-family: "Roboto", Sans-serif;
    font-size: 18px;
    font-weight: 500;
    color: var( --e-global-color-primary );
}

/* Gravity Forms - hide recaptcha */
#field_1_6, #field_2_6 {
    height: 0;
}

/*** Block Editor Color Palette ***/

.has-purple-background-color { background-color: var( --e-global-color-primary ) !important; }
.has-light-purple-background-color { background-color: var( --e-global-color-accent ) !important; }
.has-dark-blue-background-color { background-color: var( --e-global-color-secondary ) !important; }
.has-light-blue-background-color { background-color: var( --e-global-color-21f63f1) !important; }
.has-gray-text-background-color { background-color: #333 !important; }
.has-white-background-color { background-color: #FFF !important; }

.has-purple-color { color: var( --e-global-color-primary ) !important; }
.has-light-purple-color { color: var( --e-global-color-accent ) !important; }
.has-dark-blue-color { color: var( --e-global-color-secondary ) !important; }
.has-light-blue-color { color: var( --e-global-color-21f63f1) !important; }
.has-gray-text-color { color: #333 !important; }
.has-white-color { color: #FFF !important; }


/* Tag Cloud */
/* .tagcloud a {
    margin-bottom: 5px;
}
@media screen and (max-width: 767px) {
    .tagcloud a {
        margin-right: 8px;
        word-break: keep-all;
    }
}
@media screen and (min-width: 768px) {
    .tagcloud a {
        display: block;
    }
}
*/
